import { http } from '@/api/service/request';
import type { BaseResult, ResultTable } from '@/api/service/types';

/** 债务还款计划表---获取债务还款计划表列表 */
export const fetchGetUserDebtRepaymentPlanList = (data: any) => {
	data = {
		installmentAmount: data.installmentAmount,
		dueDate: data.dueDate,
		paidAmount: data.paidAmount,
		paymentStatus: data.paymentStatus,
		pageSize: data.pageSize,
		currentPage: data.currentPage,
	};
	return http.request<BaseResult<ResultTable>>('get', `debtRepaymentPlan/noManage/getUserDebtRepaymentPlanList/${data.currentPage}/${data.pageSize}`, {
		params: data,
	});
};

/** 债务还款计划表---添加债务还款计划表 */
export const fetchAddUserDebtRepaymentPlan = (data: any) => {
	data = {
		installmentNumber: data.installmentNumber,
		installmentAmount: data.installmentAmount,
		dueDate: data.dueDate,
		paidAmount: data.paidAmount,
		paymentStatus: data.paymentStatus,
	};
	return http.request<BaseResult<object>>('post', 'debtRepaymentPlan/noManage/addUserDebtRepaymentPlan', { data });
};

/** 债务还款计划表---更新债务还款计划表 */
export const fetchUpdateUserDebtRepaymentPlan = (data: any) => {
	data = {
		id: data.id,
		installmentNumber: data.installmentNumber,
		installmentAmount: data.installmentAmount,
		dueDate: data.dueDate,
		paidAmount: data.paidAmount,
		paymentStatus: data.paymentStatus,
	};
	return http.request<BaseResult<object>>('put', 'debtRepaymentPlan/noManage/updateUserDebtRepaymentPlan', { data });
};

/** 债务还款计划表---删除债务还款计划表 */
export const fetchDeleteUserDebtRepaymentPlan = (data: any) => {
	return http.request<BaseResult<object>>('delete', 'debtRepaymentPlan/noManage/deleteUserDebtRepaymentPlan', { data });
};
